# Links

Generate and manage booking links, form links, and short links for patient self-service flows.

 - [POST /v1/attachment_links](https://developer.herohealth.net/apis/public-api/openapi/links/createattachmentlink.md): Creates a attachment link using the provided parameters.
 - [POST /v1/booking_links](https://developer.herohealth.net/apis/public-api/openapi/links/createbookinglink.md): Create a booking link that can be shared with a patient. The link allows the patient to self-book into an available appointment slot. Booking links are tied to a specific patient and appointment type
 - [PATCH /v1/booking_links/{id}](https://developer.herohealth.net/apis/public-api/openapi/links/updatebookinglink.md): Updates a booking link using the provided parameters.
 - [POST /v1/form_links](https://developer.herohealth.net/apis/public-api/openapi/links/createformlink.md): Creates a form link using the provided parameters.
 - [GET /v1/links/status](https://developer.herohealth.net/apis/public-api/openapi/links/getlinkstatus.md): Get the status of a given link.
 - [GET /v1/short_links](https://developer.herohealth.net/apis/public-api/openapi/links/listshortlinks.md): Retrieves a list of shortlinks filtered by given parameters.
 - [POST /v1/video_links](https://developer.herohealth.net/apis/public-api/openapi/links/createvideolink.md): Creates a video link using the provided parameters.
